/*****************************************************
init.c :
  μITRON サンプルプログラム
  Copyright(C) 1998-2002 佐々木芳

初期タスクの処理


初期タスクの処理手順
・メモリ、ハードウェアの初期化
*****************************************************/

#include "hal.h"
#include "itron.h"
#include "debug.h"

T_RVER OS_Version;

/*****************************************************
初期タスク
*****************************************************/
/*初期化処理*/
void InitTask(VP_INT exinf)
{
	ER ercd;
	CMTRACE("app : ●sample step3\n");
	halDebugSetTitle("● STEP3");//メインウインドウのタイトルを設定

	/*デバイスの初期化*/
	halInitDevices();

	/*デバグコンソールの初期化*/
	DebugInitConsole(DP_CON0);
	DebugPrintf("\rInitTask: Debug console initialized.\r");
	ercd = ref_ver(&OS_Version);
	DebugPrintf("OS version info:\r");
	DebugPrintf(" maker %04x,", OS_Version.maker);
	DebugPrintf(" prid %04x,", OS_Version.prid);
	DebugPrintf(" spver %04x,", OS_Version.spver);
	DebugPrintf(" prver %04x\r", OS_Version.prver);

	/*初期化終了*/
	CMTRACE("\nInitTask: initialization completed.\n");
	ext_tsk();
}

